"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
require("../../../../../../node_modules/element-plus/es/index.js");
;/* empty css                                                                */
;/* empty css                                                                        */
;/* empty css                                                                     */
;/* empty css                                                                  */
;/* empty css                                                                     */
;/* empty css                                                                           */
;/* empty css                                                                     */
;/* empty css                                                                    */
;/* empty css                                                                     */
;/* empty css                                                                        */
;/* empty css                                                                           */
const Vue = require("vue");
const index = require("../../../../../../node_modules/element-plus/es/components/form/index.js");
const index$1 = require("../../../../../../node_modules/element-plus/es/components/input-number/index.js");
const index$2 = require("../../../../../../node_modules/element-plus/es/components/switch/index.js");
const index$3 = require("../../../../../../node_modules/element-plus/es/components/input/index.js");
const index$4 = require("../../../../../../node_modules/element-plus/es/components/select/index.js");
const _sfc_main = {
  __name: "PageGoBack",
  props: {
    formData: Object
  },
  setup(__props) {
    return (_ctx, _cache) => {
      const _component_el_input_number = index$1.ElInputNumber;
      const _component_el_form_item = index.ElFormItem;
      const _component_el_switch = index$2.ElSwitch;
      const _component_el_input = index$3.ElInput;
      const _component_el_option = index$4.ElOption;
      const _component_el_select = index$4.ElSelect;
      return Vue.openBlock(), Vue.createElementBlock(Vue.Fragment, null, [
        Vue.createVNode(_component_el_form_item, { label: "回退级数" }, {
          default: Vue.withCtx(() => [
            Vue.createVNode(_component_el_input_number, {
              modelValue: __props.formData.backLevel,
              "onUpdate:modelValue": _cache[0] || (_cache[0] = ($event) => __props.formData.backLevel = $event),
              min: 1,
              max: 10,
              "controls-position": "right",
              placeholder: "回退级数",
              style: { "width": "100px" }
            }, null, 8, ["modelValue"])
          ]),
          _: 1
        }),
        Vue.createVNode(_component_el_form_item, { label: "提示信息" }, {
          default: Vue.withCtx(() => [
            Vue.createVNode(_component_el_switch, {
              modelValue: __props.formData.showConfirm,
              "onUpdate:modelValue": _cache[1] || (_cache[1] = ($event) => __props.formData.showConfirm = $event)
            }, null, 8, ["modelValue"])
          ]),
          _: 1
        }),
        __props.formData.showConfirm ? (Vue.openBlock(), Vue.createBlock(_component_el_form_item, {
          key: 0,
          label: "确认标题"
        }, {
          default: Vue.withCtx(() => [
            Vue.createVNode(_component_el_input, {
              modelValue: __props.formData.confirmTitle,
              "onUpdate:modelValue": _cache[2] || (_cache[2] = ($event) => __props.formData.confirmTitle = $event),
              placeholder: "确认回退操作"
            }, null, 8, ["modelValue"])
          ]),
          _: 1
        })) : Vue.createCommentVNode("", true),
        __props.formData.showConfirm ? (Vue.openBlock(), Vue.createBlock(_component_el_form_item, {
          key: 1,
          label: "确认内容"
        }, {
          default: Vue.withCtx(() => [
            Vue.createVNode(_component_el_input, {
              modelValue: __props.formData.confirmMessage,
              "onUpdate:modelValue": _cache[3] || (_cache[3] = ($event) => __props.formData.confirmMessage = $event),
              type: "textarea",
              rows: 3,
              placeholder: "确定要返回上一页吗？",
              resize: "none"
            }, null, 8, ["modelValue"])
          ]),
          _: 1
        })) : Vue.createCommentVNode("", true),
        Vue.createVNode(_component_el_form_item, { label: "无历史记录时" }, {
          default: Vue.withCtx(() => [
            Vue.createVNode(_component_el_select, {
              modelValue: __props.formData.noHistoryAction,
              "onUpdate:modelValue": _cache[4] || (_cache[4] = ($event) => __props.formData.noHistoryAction = $event),
              style: { "width": "100%" }
            }, {
              default: Vue.withCtx(() => [
                Vue.createVNode(_component_el_option, {
                  label: "无操作",
                  value: "none"
                }),
                Vue.createVNode(_component_el_option, {
                  label: "跳转到首页",
                  value: "home"
                }),
                Vue.createVNode(_component_el_option, {
                  label: "关闭当前标签",
                  value: "close"
                })
              ]),
              _: 1
            }, 8, ["modelValue"])
          ]),
          _: 1
        })
      ], 64);
    };
  }
};
exports.default = _sfc_main;
